PackageDoc (Java SE 12 & JDK 12 )
Keywords: com.sun.javadoc.PackageDoc interface

Module jdk.javadoc
Package com.sun.javadoc

## Interface PackageDoc

- All Superinterfaces:
    `Comparable<Object>`, `Doc`

      @Deprecated(since="9",
                  forRemoval=true)
      public interface PackageDoc
      extends Doc

  Deprecated, for removal: This API element is subject to removal in a future version.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.
  Represents a java package. Provides access to information about the package, the package's comment and tags, and the classes in the package.

  Each method whose return type is an array will return an empty array (never null) when there are no objects in the result.

  Since:
    1.2

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `ClassDoc[]` | `allClasses()` | Deprecated, for removal: This API element is subject to removal in a future version. Get all included classes and interfaces in the package.
    `ClassDoc[]` | `allClasses​(boolean filter)` | Deprecated, for removal: This API element is subject to removal in a future version. Get all classes and interfaces in the package, filtered to the specified access modifier option.
    `AnnotationDesc[]` | `annotations()` | Deprecated, for removal: This API element is subject to removal in a future version. Get the annotations of this package.
    `AnnotationTypeDoc[]` | `annotationTypes()` | Deprecated, for removal: This API element is subject to removal in a future version. Get included annotation types in this package.
    `ClassDoc[]` | `enums()` | Deprecated, for removal: This API element is subject to removal in a future version. Get included enum types in this package.
    `ClassDoc[]` | `errors()` | Deprecated, for removal: This API element is subject to removal in a future version. Get included Error classes in this package.
    `ClassDoc[]` | `exceptions()` | Deprecated, for removal: This API element is subject to removal in a future version. Get included Exception classes in this package.
    `ClassDoc` | `findClass​(String className)` | Deprecated, for removal: This API element is subject to removal in a future version. Lookup a class or interface within this package.
    `ClassDoc[]` | `interfaces()` | Deprecated, for removal: This API element is subject to removal in a future version. Get included interfaces in this package, omitting annotation types.
    `ClassDoc[]` | `ordinaryClasses()` | Deprecated, for removal: This API element is subject to removal in a future version. Get included ordinary classes (that is, exclude exceptions, errors, enums, interfaces, and annotation types) in this package.

    - ### Methods declared in interface com.sun.javadoc.Doc

      `commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

- - ### Method Detail

    - #### allClasses

          ClassDoc[] allClasses​(boolean filter)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get all classes and interfaces in the package, filtered to the specified access modifier option.
      Parameters:
        `filter` - Specifying true filters according to the specified access modifier option. Specifying false includes all classes and interfaces regardless of access modifier option.
      Returns:
        filtered classes and interfaces in this package
      Since:
        1.4

    - #### allClasses

          ClassDoc[] allClasses()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get all included classes and interfaces in the package. Same as allClasses(true).
      Returns:
        all included classes and interfaces in this package.

    - #### ordinaryClasses

          ClassDoc[] ordinaryClasses()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get included ordinary classes (that is, exclude exceptions, errors, enums, interfaces, and annotation types) in this package.
      Returns:
        included ordinary classes in this package.

    - #### exceptions

          ClassDoc[] exceptions()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get included Exception classes in this package.
      Returns:
        included Exceptions in this package.

    - #### errors

          ClassDoc[] errors()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get included Error classes in this package.
      Returns:
        included Errors in this package.

    - #### enums

          ClassDoc[] enums()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get included enum types in this package.
      Returns:
        included enum types in this package.
      Since:
        1.5

    - #### interfaces

          ClassDoc[] interfaces()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get included interfaces in this package, omitting annotation types.
      Returns:
        included interfaces in this package.

    - #### annotationTypes

          AnnotationTypeDoc[] annotationTypes()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get included annotation types in this package.
      Returns:
        included annotation types in this package.
      Since:
        1.5

    - #### annotations

          AnnotationDesc[] annotations()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Get the annotations of this package. Return an empty array if there are none.
      Returns:
        the annotations of this package.
      Since:
        1.5

    - #### findClass

          ClassDoc findClass​(String className)

      Deprecated, for removal: This API element is subject to removal in a future version.
      Lookup a class or interface within this package.
      Parameters:
        `className` - A String containing the name of the class to look up.
      Returns:
        ClassDoc of found class or interface, or null if not found.